Update a product in the store
const url = 'https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/products/example';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"price":10,"available":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/products/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "price": 10, "available": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”The payload for update
object
The new price of the product in the store. If the value is not present or is null, it will not be updated.
Example
10A flag indicating whether the product is available in the store. If the value is not present or is null, it will not be updated.
Example
trueResponses
Section titled “Responses”Product updated successfully
object
Unique identifier of the attribute within a store
Product name
Product price
Url of the main product image. Must use HTTPS protocol.
Product description
Specifies if the product is available to be purchased
Example
{ "id": "burger1", "name": "Burger Large", "price": "10.0", "image_url": "https://server.com/image", "description": "A large cheeseburger", "available": true}Invalid payload or parameters
object
Unique identifier of the attribute within a store
Example
burger1Product name
Example
Burger LargeProduct price
Example
10.0Url of the main product image. Must use HTTPS protocol.
Example
https://server.com/imageProduct description
Example
A large cheeseburgerSpecifies if the product is available to be purchased
Example
trueUnauthorized
object
Unique identifier of the attribute within a store
Example
burger1Product name
Example
Burger LargeProduct price
Example
10.0Url of the main product image. Must use HTTPS protocol.
Example
https://server.com/imageProduct description
Example
A large cheeseburgerSpecifies if the product is available to be purchased
Example
trueInternal server error
object
Unique identifier of the attribute within a store
Example
burger1Product name
Example
Burger LargeProduct price
Example
10.0Url of the main product image. Must use HTTPS protocol.
Example
https://server.com/imageProduct description
Example
A large cheeseburgerSpecifies if the product is available to be purchased
Example
true